> ## Documentation Index
> Fetch the complete documentation index at: https://developers.pleo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Introspect the details of the current authentication.

> Returns the detail of the current authentication and what scope of the authentication (i.e API KEY or OAuth bearer token)



## OpenAPI

````yaml get /v1/introspect
openapi: 3.0.1
info:
  title: App Marketplace API
  description: API for Pleo App Marketplace
  termsOfService: https://pleo.io/terms/
  contact:
    email: partner-ecosystem-team@pleo.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 39.4.0
servers:
  - url: https://external.pleo.io
    description: Production server
  - url: https://external.staging.pleo.io
    description: Staging server
security:
  - bearerAuth: []
  - basicAuth: []
tags:
  - name: Applications
    description: >-
      Applications that are available in the Pleo App Marketplace. Applications
      connect Pleo with target systems and to make the user experience better,
      the application are typically named after the target system they are
      integrating with. <br> The main use case for these APIs is to list and
      manage the applications that are available in the Pleo App Marketplace.
      <br> You can also use this API to find out which applications are
      installed for a specific resource.
    externalDocs:
      description: Read more about applications
      url: >-
        https://www.notion.so/pleo/Application-41194c1252fa42f5946e3c3d0f028b96?pvs=4
  - name: Installations
    description: >-
      Installations of applications. An installation is a representation of an
      application being installed for a resource. Currently we support companies
      and organizations, future support might include users or teams. <br>
      Installations are created automatically after a successful OAuth flow.
      <br> The main use case for these APIs is to enable third party apps to
      manage their own installations and to get information about the
      installations that exist for a specific resource.
    externalDocs:
      description: Read more about installations
      url: >-
        https://www.notion.so/pleo/Installation-dbf7ce32f2e84848b8a36a5ebeaeb8f0?pvs=4
  - name: Authentication
    description: >-
      Authentication is done using a JWT token. The token should be passed in
      the Authorization header as a Bearer token. If the token is not present an
      HTTP 401 Unauthorized response will be returned.
  - name: Capabilities
    description: >-
      Capabilities of an application. It represents the different
      functionalities that an application can have.
  - name: health
paths:
  /v1/introspect:
    get:
      tags:
        - External Clients
      summary: Introspect the details of the current authentication.
      description: >-
        Returns the detail of the current authentication and what scope of the
        authentication (i.e API KEY or OAuth bearer token)
      operationId: introspect
      responses:
        '200':
          description: Introspection successful.
          content:
            application/json;charset=UTF-8:
              schema:
                $ref: '#/components/schemas/ExternalClientModelDetails'
        '400':
          description: Bad request
        '500':
          description: Cannot complete introspection due to infrastructure issue
components:
  schemas:
    ExternalClientModelDetails:
      required:
        - data
      type: object
      properties:
        data:
          $ref: '#/components/schemas/ExternalClientModel'
    ExternalClientModel:
      required:
        - authMethod
        - clientId
        - scope
      type: object
      properties:
        applicationName:
          type: string
          description: The name of the application this client belongs to.
          example: Netsuite
        authMethod:
          type: string
          description: >-
            The authentication method of the application for which the
            authentication was created.
          example: API_KEY
          enum:
            - OAUTH2
            - API_KEY
            - NONE
        clientId:
          type: string
          description: The clientId used in obtaining the authentication.
          example: d8b8a6d4-3c4b-4b8e-8b2e-1f2a3d4e5f6a
        scope:
          type: string
          description: >-
            The scope of the application for which the authentication was
            created.
          example: export:read users:write expense:read
        subjectURN:
          type: string
          description: The subject URN for which the authentication was created.
          example: urn:pleo:company:d7b8a6d4-3c4b-4b8e-8b2e-1f2a3d4e5f6b
  securitySchemes:
    bearerAuth:
      type: http
      description: >-
        JWT Bearer token authentication. Include the token in the Authorization
        header as: `Bearer <token>`
      scheme: bearer
      bearerFormat: JWT
    basicAuth:
      type: http
      description: >-
        Basic HTTP authentication using API key. Use your API key as the
        username and leave the password empty. The credentials will be Base64
        encoded automatically.
      scheme: basic

````